> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# जवाब छिपाएँ

> आपकी पोस्ट्स पर आए जवाब छिपाएँ और उन्हें फिर से दिखाएँ

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Hide Replies endpoint आपको प्रमाणीकृत उपयोगकर्ता द्वारा लिखी गई पोस्ट्स पर आए जवाबों को छिपाने या उन्हें फिर से दिखाने की सुविधा देता है। छिपाए गए जवाब अब भी उपलब्ध रहते हैं, लेकिन उन्हें देखने के लिए एक अतिरिक्त क्लिक करना पड़ता है।

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="जवाब छिपाएँ" icon="eye-slash">
    अपनी पोस्ट पर आए किसी जवाब को छिपाएँ
  </Card>

  <Card title="जवाब फिर से दिखाएँ" icon="eye">
    पहले से छिपाए गए जवाब को फिर से दिखाएँ
  </Card>

  <Card title="बातचीत नियंत्रण" icon="comments">
    अपनी पोस्ट्स पर होने वाली चर्चाओं को नियंत्रित करें
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## एंडपॉइंट
</div>

| Method | Endpoint                                                   | Description                          |
| :----- | :--------------------------------------------------------- | :----------------------------------- |
| PUT    | [`/2/tweets/:tweet_id/hidden`](/hi/x-api/posts/hide-reply) | किसी जवाब को छिपाएँ या फिर से दिखाएँ |

***

<div id="how-it-works">
  ## यह कैसे काम करता है
</div>

किसी जवाब को छिपाने के लिए `hidden: true` के साथ एक PUT अनुरोध भेजें, या उसे फिर से दिखाने के लिए `hidden: false` के साथ अनुरोध भेजें:

```json theme={null}
{
  "hidden": true
}
```

***

<div id="example-hide-a-reply">
  ## उदाहरण: किसी जवाब को छिपाएँ
</div>

```bash theme={null}
curl -X PUT "https://api.x.com/2/tweets/1234567890/hidden" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"hidden": true}'
```

<div id="example-response">
  ## उदाहरण प्रतिक्रिया
</div>

```json theme={null}
{
  "data": {
    "hidden": true
  }
}
```

***

<div id="getting-started">
  ## शुरू करें
</div>

<Note>
  **पूर्वापेक्षाएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [Project और ऐप](/hi/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/hi/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2) के ज़रिए User Access Tokens
</Note>

<CardGroup cols={2}>
  <Card title="त्वरित शुरुआत" icon="rocket" href="/hi/x-api/posts/hide-replies/quickstart">
    अपना पहला जवाब छिपाएँ
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/posts/hide-replies">
    एंडपॉइंट का पूरा दस्तावेज़
  </Card>
</CardGroup>
